/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-30 17:26
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const int MAXN = 2e5 + 5;
ll Q, D, H;


vector<int> edges[MAXN], topsort, ideg(MAXN);
void kahn(int n){
  queue<int> q;
  for(int i = 1; i <= n; i++)
    if(!ideg[i]) q.push(i);
  while(!empty(q)){
    int u = q.front(); q.pop();
    for(int v : edges[u])
      if(--ideg[v] == 0) q.push(v);
    topsort.push_back(u);
  }
}


void solve(){
    // Code goes here ...
    cin >> Q, D, H;
    
    vector<ll> hours(N+3);
    R(i, Q)
        cin >> hours[i + 1];

    R(i,D)jk

    cout << N << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    return 0;
}
        
